// closure-max-min.c    Section: 2.6, Max-Min Shaprening Transform
//      Copyright 1994, Center for Computer Vision and Visualization,
//      University of Florida.  All rights reserved.
// Force instantiation of max_min_sharpening() for
//      u_char, int, and float  valued images.


#include "max-min.h"

int main() {

    // This file should never be executed !

    IA_Image<IA_Point<int>,u_char>   udi( read_uchar_PGM(cin) );

    IA_Image<IA_Point<int>,int>      idi( udi );

    IA_Image<IA_Point<int>,float>    fdi( udi );

    IA_Neighborhood<IA_Point<int>,IA_Point<int> >
	nbhd( udi.domain().dim(), udi.domain() );

    max_min_sharpening( udi, nbhd, (unsigned int) 1 );
    max_min_sharpening( idi, nbhd, (unsigned int) 1 );
    max_min_sharpening( fdi, nbhd, (unsigned int) 1 );

    return 0;
}
